Bug 220991 - rpm transactions error due to fuse mounts
rpm transactions error due to fuse mounts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
: 240011 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 22:06 EST by Daniel Hokka Zakrisson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 04:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crude hack that fixes it for me (551 bytes, patch)
2006-12-29 22:06 EST, Daniel Hokka Zakrisson
no flags Details | Diff

  None (edit)
Description Daniel Hokka Zakrisson 2006-12-29 22:06:42 EST
Description of problem:
Whenever I perform an rpm transaction on my computer, through yum or with rpm
directly, I get at least one error message of the kind;
error: failed to stat /home/daniel/public_html: Permission denied
as is to be expected, with the transaction being run by root and the mount
performed by my user (daniel).
As far as I can tell it doesn't cause any actual failure, i.e. the transaction
proceeds as it normally would, but from reading the code I suspect disk space
calculations aren't performed, and the error messages are starting to fill up my
cron job email (nightly yum).

Version-Release number of selected component (if applicable):
rpm-4.4.2-32

How reproducible:
Always.

Steps to Reproduce:
1. yum install fuse-sshfs
2. gpasswd -a <user> fuse
3. su - <user>
4. mkdir ~/test
5. sshfs <user>@<host>:<path> ~/test
6. exit
7. <perform rpm or yum transaction>

Actual results:
error: failed to stat /home/daniel/test: Permission denied

Expected results:
No error messages.

Additional info:
The attached patch is my half-hearted attempt at fixing it. I imagine it has
unwanted side-effects I did not consider though.
Comment 1 Daniel Hokka Zakrisson 2006-12-29 22:06:42 EST
Created attachment 144572 [details]
Crude hack that fixes it for me
Comment 2 Jeff Johnson 2006-12-29 22:51:57 EST
Yah, the crude hack looks like the right thing to do. rpm-4.4.8 is already skipping ESTALE errno's 
(common with clearcase, sigh), so my patch is slightly different than yours.

Fixed in rpm cvs, should be in 4.4.8-0.9 when built. Thanks for the patch.

UPSTREAM

Comment 3 Eric Harney 2007-05-14 15:35:22 EDT
*** Bug 240011 has been marked as a duplicate of this bug. ***
Comment 4 Panu Matilainen 2007-08-09 14:52:13 EDT
Upstream at rpm.org too... 
Comment 5 Panu Matilainen 2007-08-14 04:46:25 EDT
Fixed in next rawhide push. F7 will inherit the fix eventually, FC6 probably not
(as EOL is closing in) but not impossible.

Note You need to log in before you can comment on or make changes to this bug.